<?php
  include("adm/conexao_e_agenda.php");
 // include("limpa_key.php");  
 //print_r($_POST);
 //exit();
 session_save_path('./minhas_sessions/');
 ini_set('session.gc_maxlifetime', '28800');  
  $a = session_id();
  if(empty($a)) session_start();
//echo "<br>session_id(): ".session_id();//."<br>COOKIE: ".$_COOKIE["PHPSESSID"];	 
  $session_id = session_id(); 
 ////////////////////////////////////////////////
    // Código dos Serviços dos Correios
    // 41106 PAC
    // 40010 SEDEX
    // 40045 SEDEX a Cobrar
    // 40215 SEDEX 10
    ////////////////////////////////////////////////
  $parametros = array();
function enviar_via($quem) 

      { 

    //$mostra = $quem;      

    switch($quem)
      {
    case 41106:
    $mostra = "PAC";
    break;
    case 40010:
    $mostra = "SEDEX";
    break;
    case 40045:
    $mostra = "SEDEX a Cobrar";
    break;
    case 40215:
    $mostra = "SEDEX 10";
    break;
      } 

      return $mostra;  

     }
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width">
<title>CARRINHO DE COMPRAS - CABELOS E CREMES</title>
<!-- Jquery -->
<script src="jquery/jquery-1.11.1.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/tooltipster.css" />
<script type="text/javascript" src="jquery/jquery.tooltipster.min.js"></script>
<!-- Bootstrap -->
<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/bootstrap-theme.min.css">
<script src="js/bootstrap.min.js"></script>
<!-- Font Awesome -->
<link href="css/font-awesome.min.css" rel="stylesheet">
<!-- Fonts -->
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800' rel='stylesheet' type='text/css'>
<!-- Custom CSS -->
<link rel="stylesheet" href="css/flaticon.css">
<!-- Custom JS-->
<script src="jquery/jquery.liveFilter.js" type="text/javascript"></script>
<!-- Template -->
<link rel="stylesheet" href="css/fwk.css">
<link rel="stylesheet" href="css/template.css">
<script type="text/javascript" src="jquery/footer.js"></script>
<!-- Ícone -->
<link rel="icon" type="image/ico" href="ico/ico_cabecremes.ico">
<style type="text/css">
.main-container.box-shadow-15-777 table tr td div {
}
.main-container.box-shadow-15-777 table tr td {
	font-weight: normal;/*bold;*/
}
</style>
<script src="js/jquery.blockUI.js" type="text/javascript"></script>
</head>
<body>
	<nav class="navbar navbar-inverse navbar-static-top box-shadow-15-333">
		<div class="container">
			<div class="navbar-header">
				<h1><a class="navbar-brand text-shadow-15-000" href="http://cabelosecremes.com.br" target="_blank"><span>&nbsp;&nbsp;&nbsp;CABELOS E CREMES</span></a></h1>
			</div>
		</div>
	</nav>
    <header class="main-header">
        <h2 class="system-title">CARRINHO DE COMPRAS</h2>
    </header>
    <div class="main-container box-shadow-15-777">
      <h2 class="section-title"><i class="fa fa-home"></i><span>Produtos Adicionados</span><span class="decoration"></span></h2>
      <table width="900" border="0">
        <tr>
          <td colspan="2"></td>
        </tr>
        <tr>
          <td width="395"><input name="Button2" type="button" class="button-container" value="CONTINUAR COMPRANDO" style="cursor:hand" onClick="window.location='index.php'"></td>
          <td width="495">&nbsp; <? 
	 if(isset($_SESSION["login"])){
		$login=$_SESSION["login"];
	}else{
		$login="";
	}
	//echo $_SESSION["apelido"];
	  if($login==""){ echo "<img src='images/useronline_off.gif' width='16' height='16' />"; } else { echo "Seja Bem Vindo! ".$_SESSION["apelido"]." <a href='area_login_logout.php'>&nbsp;&nbsp;<img src='images/useronline.gif' width='16' height='16' />&nbsp;[ SAIR ]</a>"; }?></td>
    </td>
        </tr>
      </table>      
      <table width="95%" border="1" align="center" cellpadding="0" cellspacing="0">
        <tr>
    <td width="511" height="40" bgcolor="#3278B5"><div align="left"><font size="2" color="#FFFFFF">&nbsp;PRODUTO</font></div></td>
    <td width="196" bgcolor="#3278B5"><div align="left"><font size="2" color="#FFFFFF"> &nbsp;QUANTIDADE</font></div></td>
    <td width="150" bgcolor="#3278B5"><div align="left"><font size="2" color="#FFFFFF">&nbsp;VALOR</font></div></td>    
    <td width="83" bgcolor="#3278B5"><div align="center"><font size="2" color="#FFFFFF">A&Ccedil;&Atilde;O</font></div></td>
        </tr>
        <?
		 $sql="SELECT * FROM pedidos_itens WHERE id_session='$session_id' ORDER BY id ASC";// AND CURDATE() BETWEEN $data_simul AND $data_simul 
         $result=mysqli_query($conexao,$sql) or die (mysqli_error($conexao));
         while($linha_aus=mysqli_fetch_array($result)){			  		
		?>
  <tr>
    <td width="511" height="40" bgcolor="#F5F5F5"><div align="left">&nbsp;<font size="2" color="#000000"><? echo utf8_decode($linha_aus["descricao"]); ?></font></div></td>
    <td bgcolor="#F5F5F5"><div align="left">&nbsp;<font size="2" color="#000000"><? if($linha_aus["tipo"]=='1') echo utf8_decode($linha_aus["quantidade"]); ?></font></div></td>
    <td bgcolor="#F5F5F5"><div align="left">&nbsp;<font size="2" color="#000000"><? echo utf8_decode($linha_aus["valor"]); ?>
      </font></div></td>
    <td bgcolor="#F5F5F5"><div align="center"><a href="excluir_item.php?id=<? echo $linha_aus["id"]; ?>"><img src="btn_excluir.png" width="28" height="22" align="middle"></a></div></td>
  </tr>
  <? } 
		 mysqli_free_result($result);	  ?>
            <tr>
    <td width="511" height="20" bgcolor="#3278B5"><div align="left"></div></td>
    <td width="196" bgcolor="#3278B5"><div align="left"><font size="2" color="#FFFFFF"> &nbsp;QUANTIDADE TOTAL</font></div></td>
    <td width="150" bgcolor="#3278B5"><div align="left"><font size="2" color="#FFFFFF">&nbsp;VALOR TOTAL</font></div></td>    
    <td width="83" bgcolor="#3278B5"><div align="center"></div></td>
        </tr>
  <tr>
    <td width="511" height="40" bgcolor="#F5F5F5"><div align="left">&nbsp;<font size="2" color="#000000"></font></div></td>
    <td bgcolor="#F5F5F5"><div align="left">&nbsp;<font size="2" color="#000000"><? 
	     $sqlq="SELECT SUM(quantidade) as qtde FROM pedidos_itens WHERE id_session='$session_id' AND tipo='1' ORDER BY id ASC";
         $resultq=mysqli_query($conexao,$sqlq) or die (mysqli_error($conexao));
		 $linha_ausq=mysqli_fetch_array($resultq);
		 $qtd_prods = $linha_ausq["qtde"];		 
	echo utf8_decode($linha_ausq["qtde"]); 
		 mysqli_free_result($resultq);		
	     $sqlq2="SELECT SUM(quantidade) as qtde FROM pedidos_itens WHERE id_session='$session_id' AND tipo='2' ORDER BY id ASC";
         $resultq2=mysqli_query($conexao,$sqlq2) or die (mysqli_error($conexao));
		 $linha_ausq2=mysqli_fetch_array($resultq2);
		 $qtd_frete = $linha_ausq2["qtde"];	
		 mysqli_free_result($resultq2);			 
	?></font></div></td>
    <td bgcolor="#F5F5F5"><div align="left">&nbsp;<font size="2" color="#000000"><? 
	     $sqlv="SELECT SUM(valor) as valort FROM pedidos_itens WHERE id_session='$session_id' ORDER BY id ASC";
         $resultv=mysqli_query($conexao,$sqlv) or die (mysqli_error($conexao));
		 $linha_ausv=mysqli_fetch_array($resultv);
	echo utf8_decode(round($linha_ausv["valort"], 2)); 
		 mysqli_free_result($resultv);		?>
      </font></div></td>
    <td bgcolor="#F5F5F5"><? 
	     $sqlc="SELECT MAX(comprimento) as comprimento_maior FROM pedidos_itens WHERE id_session='$session_id' AND tipo='1' ORDER BY id ASC";
         $resultc=mysqli_query($conexao,$sqlc) or die (mysqli_error($conexao));
		 $linha_ausc=mysqli_fetch_array($resultc);
	     $comprimento_maior = $linha_ausc["comprimento_maior"];	
		 mysqli_free_result($resultc);		
	     $sqla="SELECT MAX(altura) as altura_maior FROM pedidos_itens WHERE id_session='$session_id' AND tipo='1' ORDER BY id ASC";
         $resulta=mysqli_query($conexao,$sqla) or die (mysqli_error($conexao));
		 $linha_ausa=mysqli_fetch_array($resulta);
	     $altura_maior = $linha_ausa["altura_maior"];
		 mysqli_free_result($resulta);			 
	     $sqll="SELECT SUM(largura) as valor_largura FROM pedidos_itens WHERE id_session='$session_id' AND tipo='1' ORDER BY id ASC";
         $resultl=mysqli_query($conexao,$sqll) or die (mysqli_error($conexao));
		 $linha_ausl=mysqli_fetch_array($resultl);
	     $valor_largura = $linha_ausl["valor_largura"];
		 mysqli_free_result($resultl);			 
	     $sqlp="SELECT SUM(peso) as valor_peso FROM pedidos_itens WHERE id_session='$session_id' AND tipo='1' ORDER BY id ASC";
         $resultp=mysqli_query($conexao,$sqlp) or die (mysqli_error($conexao));
		 $linha_ausp=mysqli_fetch_array($resultp);
	     $valor_peso =round($linha_ausp['valor_peso'], 3);
		 //echo $comprimento_maior."|".$altura_maior."|".$valor_largura."|".$valor_peso;
		 mysqli_free_result($resultp);			 
/*		 if($qtd_prods>$qtd_frete){
			$frete_ok = "n"; 
		 } else {
			$frete_ok = "s"; 
		 }*/
		 if($qtd_frete==1){
			$frete_ok = "s"; 
		 } else {
			$frete_ok = "n"; 
		 }		 
		 
	 ?></td>
  </tr>
<!--  <tr>
    <td width="204" height="5"></td>
    <td colspan="6"></td>
  </tr>-->

</table>
      <br>
      <table width="900" border="0">
        <tr>
          <td colspan="2"></td>
        </tr>
        <? if($frete_ok == "n"){ ?>
        <tr>
          <td colspan="2" height="60"> <form name="form1" method="get" action="carrinho_finaliza.php">
          &nbsp;SIMULAR O CALCULO DO FRETE:            
           <input name="cep_destino" type="text" size="10" maxlength="9">
          &nbsp;         
            <input type="submit" name="enviar" id="enviar" value="SIMULAR">
          </form></td>
        </tr>  
        <? } ?>
         <tr>
          <td colspan="2" width="395"><? 
		  	if(isset($_GET["cep_destino"])){
	$parametros = array();
	
	// Código e senha da empresa, se você tiver contrato com os correios, se não tiver deixe vazio.
	$parametros['nCdEmpresa'] = '';
	$parametros['sDsSenha'] = '';
	
	// CEP de origem e destino. Esse parametro precisa ser numérico, sem "-" (hífen) espaços ou algo diferente de um número.
	$parametros['sCepOrigem'] = '19050280';
	$parametros['sCepDestino'] = $_GET["cep_destino"];//'87050465';//
	
	// O peso do produto deverá ser enviado em quilogramas, leve em consideração que isso deverá incluir o peso da embalagem.
	$parametros['nVlPeso'] = $valor_peso;//'1.5';
	
	// O formato tem apenas duas opções: 1 para caixa / pacote e 2 para rolo/prisma.
	$parametros['nCdFormato'] = '1';
	
	// O comprimento, altura, largura e diametro deverá ser informado em centímetros e somente números
	$parametros['nVlComprimento'] = $comprimento_maior;//'16';
	$parametros['nVlAltura'] = $altura_maior;//'5';
	$parametros['nVlLargura'] = $valor_largura;//'15';
	$parametros['nVlDiametro'] = '0';
	
	// Aqui você informa se quer que a encomenda deva ser entregue somente para uma determinada pessoa após confirmação por RG. Use "s" e "n".
	$parametros['sCdMaoPropria'] = 's';
	
	// O valor declarado serve para o caso de sua encomenda extraviar, então você poderá recuperar o valor dela. Vale lembrar que o valor da encomenda interfere no valor do frete. Se não quiser declarar pode passar 0 (zero).
	$parametros['nVlValorDeclarado'] = '0';
	
	// Se você quer ser avisado sobre a entrega da encomenda. Para não avisar use "n", para avisar use "s".
	$parametros['sCdAvisoRecebimento'] = 'n';
	
	// Formato no qual a consulta será retornada, podendo ser: Popup – mostra uma janela pop-up | URL – envia os dados via post para a URL informada | XML – Retorna a resposta em XML
	$parametros['StrRetorno'] = 'xml';
	
	// Código do Serviço, pode ser apenas um ou mais. Para mais de um apenas separe por virgula.
	$parametros['nCdServico'] = '40010,41106';
	
	
	$parametros = http_build_query($parametros);
	$url = 'http://ws.correios.com.br/calculador/CalcPrecoPrazo.aspx';
	$curl = curl_init($url.'?'.$parametros);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$dados = curl_exec($curl);
	$dados = simplexml_load_string($dados);
	
	foreach($dados->cServico as $linhas) {
		if($linhas->Erro == 0) {
			if($linhas->Codigo=='40010') echo "VIA SEDEX: R$ ";
			if($linhas->Codigo=='41106') echo "VIA PAC: R$ ";
			//echo $linhas->Codigo.'</br>';
			echo $linhas->Valor;
			echo " - PRAZO: ".$linhas->PrazoEntrega.' Dias &nbsp;';
			?>
  <form target="_self" method="post" action="adiciona_frete.php">
  <input type="hidden" name="frete_quantidade" value="1" />
  <input type="hidden" name="frete_valor" value="<? echo preg_replace("/,/",".",$linhas->Valor); ?>" />
  <input type="hidden" name="frete_comprimento" value="<? echo $comprimento_maior; ?>" />
  <input type="hidden" name="frete_altura" value="<? echo $altura_maior; ?>" />
  <input type="hidden" name="frete_largura" value="<? echo $valor_largura; ?>" />
  <input type="hidden" name="frete_peso" value="<? echo $valor_peso; ?>" />
  <input type="hidden" name="frete_via" value="<? echo enviar_via($linhas->Codigo); ?> " />
  <input type="image" name="submit" src="images/btn_add.png"  />
  </form>			
			<?
			'</br>';
		}else {
			echo $linhas->MsgErro;
		}
		echo '<hr>';
	}
	
	}// post
		   ?></td>
        </tr>      
        <tr>
          <td heigt="30" width="395"><input name="Button2" type="button" class="button-container" value="&nbsp;CONTINUAR COMPRANDO&nbsp;" style="cursor:hand" onClick="window.location='index.php'">
            &nbsp;&nbsp;&nbsp;<input name="Button" type="button" class="button-container" style="cursor:hand" onClick="window.location='cancelar_carrinho.php'" value="&nbsp;CANCELAR COMPRA&nbsp;">&nbsp;&nbsp;</td>
          <td width="495">
         &nbsp;&nbsp;<? if($frete_ok == "s"){ ?><input name="Button_confirma" id="confirma" type="button" class="button-container" style="cursor:hand" onClick="window.location='area_chekout_carrinho.php'" value="&nbsp;PAGAMENTO DA COMPRA&nbsp;"><? } ?>
          </form> 
          </td>
        </tr>
      </table>
      
        <footer class="main-footer">
       	  <!--<h5>Prefeitura do Munic&iacute;pio de Maring&aacute;</h5>
			<p>Fone: (44) 3221.1234 - Av. XV de Novembro, 701 - Centro - Maring&aacute;-PR - CEP: 87.013-230</p>-->
            <p>&nbsp;</p>
        </footer>
    </div>
</body>
</html>
<script>
$(document).ready(function() { 
    $('#confirma').click(function() { //nome do botao que foi clicado
	$.blockUI({ message: "<h1>Aguarde o processamento!</h1>" }); 
    }); 
}); 
</script>
<? mysqli_close($conexao); ?>